<?xml version="1.0" encoding="UTF-8"?>
<!-- (c) https://github.com/MontiCore/monticore -->
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>ema2kt-parent</artifactId>
        <groupId>de.monticore.lang.monticar.ema2kt</groupId>
        <version>0.0.5-SNAPSHOT</version>
    </parent>

    <artifactId>ema2kt-maven-plugin-test</artifactId>

    <dependencies>
        <dependency>
            <groupId>de.monticore.lang.monticar.ema2kt</groupId>
            <artifactId>ema2kt-maven-plugin</artifactId>
            <version>0.0.5</version>
        </dependency>
        <dependency>
            <groupId>de.monticore.lang.monticar.ema2kt</groupId>
            <artifactId>runtime</artifactId>
            <version>0.0.5</version>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>de.monticore.lang.monticar.ema2kt</groupId>
                <artifactId>ema2kt-maven-plugin</artifactId>
                <version>0.0.5</version>
                <executions>
                    <execution>
                        <phase>generate-sources</phase>
                        <goals>
                            <goal>generate</goal>
                        </goals>
                        <configuration>
                            <packagePrefix>modelling.project1</packagePrefix>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <artifactId>kotlin-maven-plugin</artifactId>
                <groupId>org.jetbrains.kotlin</groupId>
                <version>${kotlin.version}</version>
                <executions>
                    <execution>
                        <id>compile</id>
                        <goals>
                            <goal>compile</goal>
                        </goals>
                        <configuration>
                            <sourceDirs>
                                <sourceDir>${project.basedir}/target/src-gen/kotlin</sourceDir>
                                <sourceDir>${project.basedir}/src/main/kotlin</sourceDir>
                            </sourceDirs>
                        </configuration>
                    </execution>
                    <execution>
                        <id>test-compile</id>
                        <goals>
                            <goal>test-compile</goal>
                        </goals>
                        <configuration>
                            <sourceDirs>
                                <sourceDir>${project.basedir}/src/test/kotlin</sourceDir>
                            </sourceDirs>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>2.19.1</version>
                <configuration>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
